package ink.wgink.common.pojo.dtos.env;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @ClassName: EnvDTO
 * @Description: 环境变量
 * @Author: wanggeng
 * @Date: 2022/5/16 10:36
 * @Version: 1.0
 */
public class EnvDTO implements Serializable {

    @ApiModelProperty(name = "envKey", value = "环境变量")
    private String envKey;
    @ApiModelProperty(name = "envExplain", value = "环境变量说明")
    private String envExplain;
    @ApiModelProperty(name = "envValue", value = "环境变量值")
    private String envValue;

    public String getEnvKey() {
        return envKey == null ? "" : envKey.trim();
    }

    public void setEnvKey(String envKey) {
        this.envKey = envKey;
    }

    public String getEnvExplain() {
        return envExplain == null ? "" : envExplain.trim();
    }

    public void setEnvExplain(String envExplain) {
        this.envExplain = envExplain;
    }

    public String getEnvValue() {
        return envValue == null ? "" : envValue.trim();
    }

    public void setEnvValue(String envValue) {
        this.envValue = envValue;
    }
}
